singleModelMVC-class {MVCClass} | R Documentation

## Class "singleModelMVC": A class to represent a single model-view-controller object

### Description

singleModelMVC is a class to represent a model-view-controller object that cannot be linked to other MVC objects (i.e. single refers to the MVC object being unlinked). The singleModelMVC class will combine thee three components (model, view and controller) so that the MVC objects can be reused.

### Objects from the Class

Objects can be created by calls of the form `new("singleModelMVC", ...)`.

### Slots

`model`:
  the model object (will inherit from the gModel virtual class)
`viewList`:
  a list of the view objects that visualize the model
`controller`:
  the environment that stores information for the MVC object

### Extends

Class `"MVC"`, directly.

### Methods

No methods defined with class "singleModelMVC" in the signature.

### Author(s)

Elizabeth Whalen

### See Also

`gModel-class`, `genView-class`, `MVC-class`, `linkedModelMVC-class`

### Examples

[Package MVCClass version 1.10.0 Index]